<h1> INCA Docs </h1>

<h2>Table of Contents</h2>

- [Introduction](#introduction)
- [Prerequisites](#prerequisites)
- [Website Preview](#website-preview)
- [Run with Make](#run-with-make)
- [License](#license)
- [References](#references)
- [Contribute](#contribute)

---

## Introduction

This repository contains the code to deploy the INCA Docs website, a project by [ThreeFold](https://threefold.io).

## Prerequisites

You need [npm](https://www.npmjs.com/) to run this website.

- Install `npm`
```
sudo apt update
sudo apt install nodejs
npm -v
```

## Website Preview

You can preview the website with a few lines.

```
git clone https://git.ourworld.tf/tfgrid/www_projectinca
cd www_projectinca
npm install
npm run dev
```

For more information, read the original [AstroWind docs](./website_docs/README.md).

## Run with Make

To run the website locally with Make, simply run:

```
make run
```

## License

**INCA Docs** is licensed under the Apache 2.0 license — see the [LICENSE](./LICENSE.md) file for details.

## References

This INCA Docs website is based on the amazing [AstroWind repo](https://github.com/onwidget/astrowind).

We changed the license from MIT to Apache 2.0 to suit this specific project.

## Contribute

To contribute to this repository:

- Make a new branch with `development_` as a prefix (e.g. `development_update`)
- Make changes locally on your code editor
- Push changes to the new branch
- Make a pull request to `development` branch

The code owners will merge `development` branch to `main` branch.