import { getPermalink, getBlogPermalink, getAsset } from './utils/permalinks';

export const headerData = {
  links: [
    {
      text: 'Technology',
      href: getPermalink('/technology'),
    },
    {
      text: 'Farming',
      href: getPermalink('/farming'),
    },
    {
      text: 'About',
      href: getPermalink('/about'),
    },
    {
      text: 'Contact',
      href: getPermalink('/contact'),
    },
  ],
  actions: [{ text: 'Get INCA Nodes', href: 'https://csnkyhwp8b4.typeform.com/to/SnfEE9pj', target: '_blank' }],
};

export const footerData = {
  links: [
    {
      title: 'Project Overview',
      links: [
        { text: 'Home', href: '/' },
        { text: 'Technology', href: '/technology' },
        { text: 'About', href: '/about' },
      ],
    },
    {
      title: 'Join the Cloud',
      links: [
        { text: 'Farming', href: '/farming' },
        { text: 'DIY Nodes', href: 'https://manual.grid.tf/documentation/farmers/3node_building/3node_building.html' },
      ],
    },
    {
      title: 'Communication',
      links: [
        { text: 'Contact Us', href: '/contact' },
        { text: 'Reach Support', href: 'https://threefoldfaq.crisp.help/en/' },
        { text: 'ThreeFold Chat', href: 'https://t.me/threefold' },
      ],
    },
  ],
  secondaryLinks: [
    { text: 'Terms', href: getPermalink('/terms') },
    { text: 'Privacy Policy', href: getPermalink('/privacy') },
  ],
  socialLinks: [
    { ariaLabel: 'X', icon: 'tabler:brand-x', href: 'https://twitter.com/threefold_io' },
    { ariaLabel: 'Github', icon: 'tabler:brand-github', href: 'https://github.com/threefoldtech' },
  ],
  footNote: `
    A project by <a class="text-blue-600 underline dark:text-muted" href="https://threefold.io"> ThreeFold</a> · All rights reserved.
  `,
};